import Vue from 'vue'
import VueRouter from 'vue-router'
import HomeView from '../views/HomeView.vue'
import Course from "../views/Course.vue"
import Fe from "../views/Fe.vue"
import Rd from "../views/Rd.vue"

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'home',
    component: HomeView
  },
  {
    path: '/about',
    name: 'about',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/AboutView.vue')
  },{
    // path: '/course/:id',
    path: '/course',
    name: 'Course',
    component: Course,
    // redirect: '/aa',
    alias: '/aa',
    children: [{
      path: 'fe',
      name: 'Fe',
      component: Fe
    },{
      path: 'rd',
      name: 'Rd',
      component: Rd
    }]
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
